﻿using Syncfusion.WinForms.DataGrid;
using Syncfusion.WinForms.DataGrid.Interactivity;
using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace Example
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            Binding();
        }

        private void Binding()
        {
            List<Item> model = new List<Item>();
            this.sfDataGrid1.DataSource = model;
        }

        private void btnAddItem_Click(object sender, System.EventArgs e)
        {
            var item = new Item
            {
                ItemID = Guid.NewGuid().ToString(),
                ItemName = "Item Description",
                UnitCost = 10,
                SalePrice = 20
            };

            var record = this.sfDataGrid1.View.CreateRecordEntry(item);
            this.sfDataGrid1.View.Records.Add(record);
            this.sfDataGrid1.SelectedItem = record;
        }

        private void btnDeleteItem_Click(object sender, EventArgs e)
        {
            var rowIndex = DataGridIndexResolver.ResolveToRecordIndex(this.sfDataGrid1.TableControl, this.sfDataGrid1.CurrentCell.RowIndex);
            if (rowIndex >= 0)
            {
                this.sfDataGrid1.View.Records.RemoveAt(rowIndex);
                if (this.sfDataGrid1.View.Records.Count != 0)
                {
                    this.sfDataGrid1.SelectedItem = SelectionHelper.GetRecordAtRowIndex(this.sfDataGrid1, rowIndex);
                }
            }
        }
    }
}
